DocFlavor.SERVICE_FORMATTED (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Class DocFlavor.SERVICE_FORMATTED

    java.lang.Object
      |
      +--javax.print.DocFlavor
            |
            +--javax.print.DocFlavor.SERVICE_FORMATTED

All Implemented Interfaces:
  Cloneable, Serializable

Enclosing class:
  DocFlavor

public static class DocFlavor.SERVICE_FORMATTED
extends DocFlavor

Class DocFlavor.SERVICE_FORMATTED provides predefined static constant DocFlavor objects for example doc flavors for service formatted print data.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.print.DocFlavor
`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

Field Summary
`static DocFlavor.SERVICE_FORMATTED` | `PAGEABLE` Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).
`static DocFlavor.SERVICE_FORMATTED` | `PRINTABLE` Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).
`static DocFlavor.SERVICE_FORMATTED` | `RENDERABLE_IMAGE` Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

Fields inherited from class javax.print.DocFlavor
`hostEncoding`

Constructor Summary
`DocFlavor.SERVICE_FORMATTED(String className)` Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.

Methods inherited from class javax.print.DocFlavor
`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RENDERABLE_IMAGE

    public static final DocFlavor.SERVICE_FORMATTED RENDERABLE_IMAGE

  Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

### PRINTABLE

    public static final DocFlavor.SERVICE_FORMATTED PRINTABLE

  Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).

### PAGEABLE

    public static final DocFlavor.SERVICE_FORMATTED PAGEABLE

  Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).

Constructor Detail

### DocFlavor.SERVICE_FORMATTED

    public DocFlavor.SERVICE_FORMATTED(String className)

  Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.

Parameters:
  `className` - Fully-qualified representation class name.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `className` is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.